Docs Rizler

Phone Numbers

Search Available Numbers

GEThttps://app.rizzdial.com/api/phone-numbers/search-available
Search Available Numbers
curl --request GET \
  --url 'https://app.rizzdial.com/api/phone-numbers/search-available?provider=Twilio&phone_country=US&phone_type=local&searchBy=AreaCode&areaCode=415' \
  --header 'Authorization: Bearer <token>'
{
  "data": {
    "records": [
      {
        "index": 1,
        "locality": "San Francisco, CA",
        "capabilities": [
          "Voice",
          "SMS"
        ],
        "phone_number": "+14155550100",
        "friendly_name": "(415) 555-0100",
        "purchase_token": "PURCHASE_TOKEN"
      }
    ]
  },
  "message": null,
  "success": true
}

Search Available Numbers#

Searches Twilio for numbers you can buy. Use a purchase_token from this response on Purchase Phone Number. Mobile is not available in the US or Canada.

Authorizationstringheaderrequired

Bearer token in the format: Bearer {access_token}

providerstringqueryrequired

Must be Twilio

phone_countrystringquery

ISO country. Default US

phone_typestringquery

local, mobile, or tollfree. Default local

searchBystringquery

AreaCode, Region, or City. Default AreaCode

areaCodestringquery

Area code, region, or city, matching searchBy

curl --request GET \
  --url 'https://app.rizzdial.com/api/phone-numbers/search-available?provider=Twilio&phone_country=US&phone_type=local&searchBy=AreaCode&areaCode=415' \
  --header 'Authorization: Bearer {{bearer_token}}'
successboolean

true when Twilio returned numbers

data.recordsarray

Each row has phone_number, friendly_name, locality, capabilities, and purchase_token